# This file created by conda-build 3.18.11
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/jedi-0.15.2-python_3.7-on-linux_canary, last modified Tue Jan  7 15:24:55 2020
# ------------------------------------------------

package:
    name: jedi
    version: 0.15.2
source:
    sha256: e909527104a903606dd63bea6e8e888833f0ef087057829b89a18364a856f807
    url: https://pypi.io/packages/source/j/jedi/jedi-0.15.2.tar.gz
build:
    number: '0'
    script: /tmp/build/80754af9/jedi_1578412265867/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold/bin/python
        -m pip install . --no-deps -vv
    string: py37_0
requirements:
    host:
        - _libgcc_mutex 0.1 main
        - ca-certificates 2019.11.27 0
        - certifi 2019.11.28 py37_0
        - libedit 3.1.20181209 hc058e9b_0
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - ncurses 6.1 he6710b0_1
        - openssl 1.1.1d h7b6447c_3
        - pip 19.3.1 py37_0
        - python 3.7.5 h0371630_0
        - readline 7.0 h7b6447c_5
        - setuptools 44.0.0 py37_0
        - sqlite 3.30.1 h7b6447c_0
        - tk 8.6.8 hbc83047_0
        - wheel 0.33.6 py37_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 h7b6447c_3
    run:
        - parso >=0.5.0
        - python >=3.7,<3.8.0a0
test:
    imports:
        - jedi
        - jedi.api
        - jedi.common
        - jedi.inference
        - jedi.inference.compiled
        - jedi.inference.compiled.subprocess
        - jedi.inference.gradual
        - jedi.inference.value
        - jedi.plugins
about:
    description: 'Jedi is a static analysis tool for Python that can be used in IDEs/editors.

        Its historic focus is autocompletion, but does static analysis for now as

        well. Jedi is fast and is very well tested. It understands Python on a

        deeper level than all other static analysis frameworks for Python.

        '
    dev_url: https://github.com/davidhalter/jedi/
    doc_source_url: https://github.com/davidhalter/jedi/blob/master/docs/index.rst
    doc_url: http://jedi.readthedocs.io/en/latest/
    home: https://github.com/davidhalter/jedi/
    license: MIT
    license_family: MIT
    license_file: LICENSE.txt
    summary: An autocompletion tool for Python that can be used for text editors.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - asmeurer
        - goanpeca
        - nehaljwani
        - ocefpaf
